data-asset
Create profile for a data asset
Create profile for a data asset
POST
/
v0
/
data-asset
/
{id}
/
profile
Create profile for a data asset
curl --request POST \
--url https://{hostname}.gable.ai/v0/data-asset/{id}/profile \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"darn": "<string>",
"data_asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fieldsToProfilesMapping": {}
}
'import requests
url = "https://{hostname}.gable.ai/v0/data-asset/{id}/profile"
payload = {
"darn": "<string>",
"data_asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fieldsToProfilesMapping": {}
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
darn: '<string>',
data_asset_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
fieldsToProfilesMapping: {}
})
};
fetch('https://{hostname}.gable.ai/v0/data-asset/{id}/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fieldsToProfilesMapping": {}
}{
"message": "<string>",
"id": 123,
"title": "<string>"
}{
"message": "<string>",
"id": 123,
"title": "<string>"
}Authorizations
Path Parameters
UUID of the data asset
Body
application/json
Data Asset Profiles
Response
Data asset profile was successfully created
Mapping of a data asset's fields to their respective data profiles
Show child attributes
Show child attributes
Previous
Register sca metadata for a data asset versionRegister sca metadata for a data asset version
Next
⌘I
Create profile for a data asset
